Bug 506971 - Review Request: perl-CGI-Application-Plugin-DevPopup - Runtime cgiapp info in a popup window
Review Request: perl-CGI-Application-Plugin-DevPopup - Runtime cgiapp info in...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-19 11:53 EDT by Emmanuel Seyman
Modified: 2009-06-30 17:22 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.01-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 17:22:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-06-19 11:53:22 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-DevPopup/perl-CGI-Application-Plugin-DevPopup.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-DevPopup/perl-CGI-Application-Plugin-DevPopup-1.01-1.fc11.src.rpm
Description:
This module provides a plugin framework for displaying runtime information
about your CGI::Application app in a popup window. A sample Timing plugin
is provided to show how it works.
Comment 1 Parag AN(पराग) 2009-06-20 04:19:47 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1426041
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
 e04db7a114e5406e732037e51422c95528d0e22f  CGI-Application-Plugin-DevPopup-1.01.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=5, Tests=9,  1 wallclock secs ( 0.06 usr  0.02 sys +  0.43 cusr  0.06 csys =  0.57 CPU)
+ Package perl-CGI-Application-Plugin-DevPopup-1.01-1.fc12.noarch
Provides: perl(CGI::Application::Plugin::DevPopup) = 1.01 perl(CGI::Application::Plugin::DevPopup::HTTPHeaders) = 0.11 perl(CGI::Application::Plugin::DevPopup::Log) = 0.01 perl(CGI::Application::Plugin::DevPopup::Timing) = 0.91
Requires: perl(CGI::Application) >= 4.01 perl(HTML::Template) perl(IO::Scalar) perl(Time::HiRes) perl(base) perl(strict) perl(vars) perl(warnings)

APPROVED.
Comment 2 Emmanuel Seyman 2009-06-20 06:53:30 EDT
Thanks! Requesting cvs.

New Package CVS Request
=======================
Package Name: perl-CGI-Application-Plugin-DevPopup
Short Description: Runtime cgiapp info in a popup window
Owners: eseyman
Branches: F-11 F-10
InitialCC: perl-sig
Comment 3 Jason Tibbitts 2009-06-20 11:08:37 EDT
CVS done.
Comment 4 Fedora Update System 2009-06-21 10:32:31 EDT
perl-CGI-Application-Plugin-DevPopup-1.01-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-DevPopup-1.01-1.fc11
Comment 5 Fedora Update System 2009-06-24 15:42:26 EDT
perl-CGI-Application-Plugin-DevPopup-1.01-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Plugin-DevPopup'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6848
Comment 6 Fedora Update System 2009-06-30 17:22:44 EDT
perl-CGI-Application-Plugin-DevPopup-1.01-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.